<Serializable>
Public Class IndexResult
    Inherits BaseResult

    Public ReadOnly IndexId As Int64

    Public Sub New(IndexId As Int64)
        MyBase.New()
        Me.IndexId = IndexId
    End Sub

    Public Sub New(ErrorMessage As String)
        MyBase.New(ErrorMessage)
    End Sub
End Class
